Subject: Re: [PATCH 2/2] builtin/show-ref.c: limit output with `--count`

From: Junio C Hamano <[email-masked]>
Date: Mon, 06 Jun 2022 16:09:58 -0700

Taylor Blau <[email-masked]> writes:

> +--count::
> +
> +	Do not print more than `<n>` matching references, or print all
> +	references if `<n>` is 0. Incompatible with `--exclude-existing`
> +	and `--verify`.

I can easily understand why the option being incompatible with
"--verify", but I do not see a reason why this should not work with
"--exclude-existing" from end user's point of view.

I know it is processed in a completely separate code path, but that
does not stop end users from complaining.